## m2crypto 0.36.0

=== debian/changelog ===
m2crypto (0.36.0-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian: remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 14:43:18 +0200

m2crypto (0.36.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add Breaks+Replaces: m2crypto-doc on -doc pkg; Closes: #959947, #964299
    - wrap-and-sort
    - bump compat level to 13
  * debian/patches/{d3a43ffe1bfe4c128d6ab7c390419dee68f4ca5a.patch,
                    d67b8e3d2682eb70248d7070d860dabe5a003d52.patch}
    - drop patches, merged upstream

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Jul 2020 23:27:35 -0400

m2crypto (0.35.2-2) unstable; urgency=medium

  * debian/patches/d67b8e3d2682eb70248d7070d860dabe5a003d52.patch
    - fix syntax warning; Closes: #948300
  * rename doc package to python-m2crypto-doc, to respect policy

 -- Sandro Tosi <morph@debian.org>  Fri, 24 Apr 2020 00:32:17 -0400

m2crypto (0.35.2-1) unstable; urgency=medium

  * New upstream release
  * run autopkgtests for all python3 supported versions; Closes: #954462
  * debian/copyright
    - update upstream copyright years
    - add myself to copyright, and order entries chrologically
  * debian/control
    - bump Standards-Version to 4.5.0 (no changes needed)
  * debian/patches/*
    - drop almost all patches, merged upstream
  * debian/patches/d3a43ffe1bfe4c128d6ab7c390419dee68f4ca5a.patch
    - add compatibility with python3.8 way of wrapping a fp in a Buffer;
      Closes: #958496

 -- Sandro Tosi <morph@debian.org>  Thu, 23 Apr 2020 23:48:21 -0400

=== debian/control ===
Source: m2crypto
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libssl-dev,
               links <!nodoc>,
               openssl <!nocheck>,
               python3-all-dev,
               python3-docutils <!nodoc>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               swig (>= 1.3.40),
Standards-Version: 4.5.0
Homepage: https://gitlab.com/m2crypto/m2crypto
Vcs-Git: https://salsa.debian.org/python-team/modules/m2crypto.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/m2crypto

Package: python3-m2crypto
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: python-m2crypto-doc,
Provides: m2crypto,
          ${python3:Provides},
Description: Python wrapper for the OpenSSL library (Python 3 modules)
 m2crypto features the following:
   * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
   * SSL functionality to implement clients and servers.
   * HTTPS extensions to Python's httplib, urllib, and xmlrpclib.
   * Unforgeable HMAC'ing AuthCookies for web session management.
   * FTP/TLS client and server.
   * S/MIME.
   * ZServerSSL: A HTTPS server for Zope.
   * ZSmime: An S/MIME messenger for Zope.
 .
 This package contains the modules for the Python 3.x interpreter.

Package: python-m2crypto-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Suggests: python3-m2crypto,
Breaks: m2crypto-doc (<< 0.35.2-2),
        python-m2crypto (<< 0.27.0-6),
Replaces: m2crypto-doc (<< 0.35.2-2),
Description: Python wrapper for the OpenSSL library (docs)
 m2crypto features the following:
   * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
   * SSL functionality to implement clients and servers.
   * HTTPS extensions to Python's httplib, urllib, and xmlrpclib.
   * Unforgeable HMAC'ing AuthCookies for web session management.
   * FTP/TLS client and server.
   * S/MIME.
   * ZServerSSL: A HTTPS server for Zope.
   * ZSmime: An S/MIME messenger for Zope.
 .
 This package contains the documentation.

## m2crypto 0.37.1

=== debian/changelog ===
m2crypto (0.37.1-2) unstable; urgency=medium

  * debian/patches/MR262.patch
    - fix test failure with recent openssl; Closes: #983013
  * debian/rules
    - skip test_ssl.py during tests, more than 50% of its tests faol on an
      IPv6-only machine; Closes: #979865

 -- Sandro Tosi <morph@debian.org>  Sun, 21 Feb 2021 23:49:07 -0500

m2crypto (0.37.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.5.1 (no changes needed)
    - add parameterized to b-d, needed by tests
  * debian/patches/0001-import-inspect-in-urllib-2.patch
    - refresh patch
  * debian/patches/MR261.patch
    - fix compatibility with openssl/1.1.1i+; Closes: #954402

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Jan 2021 00:53:00 -0500

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=m2crypto
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# bindings needed inplace for docs
export PYBUILD_AFTER_BUILD_python3=cp {build_dir}/M2Crypto/*.so M2Crypto/

export PYBUILD_TEST_ARGS=--ignore tests/test_ssl.py

export http_proxy=
export https_proxy=
# override settings from pybuild, unset them is needed for tests

%:
ifneq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	dh $@ --with python3 --buildsystem=pybuild
else
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
endif

override_dh_auto_install:
	dh_auto_install
ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N doc debian/python-m2crypto-doc/usr/share/doc/python-m2crypto-doc/html
endif

override_dh_installdocs:
ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
	rst2html -r 5 README.rst .pybuild/README.html
	LC_LANG=C.UTF-8 links -dump .pybuild/README.html > .pybuild/README
endif
	dh_installdocs -A .pybuild/README

## m2crypto 0.38.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/{doctrees,html}

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/M2Crypto.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/M2Crypto.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/M2Crypto"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/M2Crypto"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
m2crypto (0.38.0-1ubuntu5) jammy; urgency=medium

  * FileTestCase.test_readline now passes again

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 31 Mar 2022 11:33:47 +0000

m2crypto (0.38.0-1ubuntu4) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:28:32 +0000

m2crypto (0.38.0-1ubuntu3) jammy; urgency=medium

  * Add one more test case to expected failures with openssl v3.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 06 Dec 2021 18:24:01 +0000

m2crypto (0.38.0-1ubuntu2) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Fri, 03 Dec 2021 09:53:57 +0100

m2crypto (0.38.0-1ubuntu1) jammy; urgency=medium

  * Merge from debian, remaining changes:
    - ssl_23 padding is going away in OpenSSL upstream, thus skip test if
      OpenSSL raises an error.
    - Force enable tlsv1 for the tls1 tests.
  * Load legacy provider of openssl v3, as m2crypto tests legacy things.
  * Adjust some test suite expectations for openssl v3.
  * Skip some tests that fail with openssl v3.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 02 Dec 2021 18:25:56 +0000

m2crypto (0.38.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - track gitlab releases
  * debian/patches
    - refresh, drop merged patches
  * debian/rules
    - use pybuild to run test and build doc

 -- Sandro Tosi <morph@debian.org>  Thu, 14 Oct 2021 23:21:43 -0400

m2crypto (0.37.1-1ubuntu4) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:56:56 +0000

m2crypto (0.37.1-1ubuntu3) hirsute; urgency=medium

  * ssl_23 padding is going away in OpenSSL upstream, thus skip test if
    OpenSSL raises an error.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 01 Mar 2021 09:48:04 +0000

m2crypto (0.37.1-1ubuntu2) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 17:03:34 +0000

m2crypto (0.37.1-1ubuntu1) hirsute; urgency=medium

  * Force enable tlsv1 for the tls1 tests.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 14 Feb 2021 17:36:48 +0000

m2crypto (0.36.0-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:40:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: m2crypto
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                libssl-dev,
@@ -10,14 +11,15 @@
                openssl <!nocheck>,
                python3-all-dev,
                python3-docutils <!nodoc>,
+               python3-parameterized <!nocheck>,
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                swig (>= 1.3.40),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://gitlab.com/m2crypto/m2crypto
-Vcs-Git: https://salsa.debian.org/python-team/modules/m2crypto.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/m2crypto
+Vcs-Git: https://salsa.debian.org/python-team/packages/m2crypto.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/m2crypto
 
 Package: python3-m2crypto
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=m2crypto
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_TEST_ARGS=--ignore tests/test_ssl.py
export PYBUILD_AFTER_BUILD_python3=PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' python3 -m sphinx -N doc debian/python-m2crypto-doc/usr/share/doc/python-m2crypto-doc/html

export OPENSSL_CONF=$(CURDIR)/debian/openssl.cnf

export http_proxy=
export https_proxy=
# override settings from pybuild, unset them is needed for tests

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installdocs:
	rst2html -r 5 README.rst .pybuild/README.html
	LC_LANG=C.UTF-8 links -dump .pybuild/README.html > .pybuild/README
	dh_installdocs -A .pybuild/README

=== debian/tests/control ===
Tests: python3-m2crypto
Depends: python3-all, python3-m2crypto, python3-pytest, openssl

## m2crypto 0.40.1

=== requirements.txt ===
wheel; sys.platform == 'win32'
setuptools>=65.6.0; python_version>='3.10'

=== debian/changelog ===
m2crypto (0.40.1-4) unstable; urgency=medium

  [ Simon Quigley ]
  * QA upload (Closes: #1072341).

  [ Spyros Seimenis ]
  * debian/patches/fix-ssl-timeout-for-t64.patch: Fix SSL timeout struct
    on 32-bit systems with 64-bit time_t.  Closes LP: #2059156.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 05 Jun 2024 09:12:03 -0500

m2crypto (0.40.1-3) unstable; urgency=medium

  * QA upload.
  * Cherry-pick upstream patch to fix testsuite with OpenSSL 3.2.
    (Closes: #1063874)
  * Declare Rules-Requires-Root: no.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 11 Apr 2024 17:29:26 +0200

m2crypto (0.40.1-2) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Thu, 29 Feb 2024 01:19:57 -0500

m2crypto (0.40.1-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
    - Supports Python 3.12. (Closes: #1055568, 1040103)
  * Drop all patches, superseded upstream.

 -- Sandro Tosi <morph@debian.org>  Tue, 16 Jan 2024 01:36:41 -0500

m2crypto (0.38.0-4) unstable; urgency=high

  [ Stefano Rivera ]
  * Patch: Mitigate the Bleichenbacher timing attacks in the RSA decryption
    API (CVE-2020-25657, Closes: #975002)
  * Patch: Add support for setuptools >= 60. (Closes #1022485)

 -- Sandro Tosi <morph@debian.org>  Wed, 16 Nov 2022 21:32:27 -0500

m2crypto (0.38.0-3) unstable; urgency=medium

  [ Stefano Rivera ]
  * Load legacy provider of openssl v3, to avoid segfault in tests when
    m2crypto tests legacy things. Thanks Dimitri John Ledkov for the patch.
    Closes: #1006508
  * Apply 4 patches to get the tests passing on OpenSSL 3.
  * Skip TLSv1.0 test, no longer possible to run it.

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Jun 2022 00:44:57 -0400

m2crypto (0.38.0-2) unstable; urgency=medium

  * debian/tests/control
    - fix autopkgtests by installing build-deps; Closes: #998028

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Dec 2021 23:58:52 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: m2crypto
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                libssl-dev,
@@ -16,6 +14,7 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                swig (>= 1.3.40),
+Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Homepage: https://gitlab.com/m2crypto/m2crypto
 Vcs-Git: https://salsa.debian.org/python-team/packages/m2crypto.git

## m2crypto 0.41.0

=== debian/changelog ===
m2crypto (0.41.0-1) unstable; urgency=medium

  * New upstream version 0.41.0
  * Adopt package inside DPT (Closes: #1065037)
  * Apply multiarch hint
  * Use new dh-sequence-python3
  * Remove patch applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Sun, 30 Jun 2024 00:04:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>,
+Uploaders: Alexandre Detiste <tchet@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                libssl-dev,
                links <!nodoc>,
                openssl <!nocheck>,
@@ -28,7 +29,7 @@
 Suggests: python-m2crypto-doc,
 Provides: m2crypto,
           ${python3:Provides},
-Description: Python wrapper for the OpenSSL library (Python 3 modules)
+Description: Python wrapper for the OpenSSL library
  m2crypto features the following:
    * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
    * SSL functionality to implement clients and servers.
@@ -38,12 +39,11 @@
    * S/MIME.
    * ZServerSSL: A HTTPS server for Zope.
    * ZSmime: An S/MIME messenger for Zope.
- .
- This package contains the modules for the Python 3.x interpreter.
 
 Package: python-m2crypto-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Build-Profiles: <!nodoc>
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 # override settings from pybuild, unset them is needed for tests
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installdocs:
 	rst2html -r 5 README.rst .pybuild/README.html

## m2crypto 0.41.0+ds

=== debian/changelog ===
m2crypto (0.41.0+ds-3) unstable; urgency=medium

  * Team upload
  * Revert "Do not pack time differently for i386 systems"
  * Fix HTML documentation

 -- Bastian Germann <bage@debian.org>  Fri, 19 Jul 2024 10:50:19 +0200

m2crypto (0.41.0+ds-2) unstable; urgency=medium

  * Expect failure for mktime on i386 only

 -- Bastian Germann <bage@debian.org>  Thu, 18 Jul 2024 16:42:30 +0200

m2crypto (0.41.0+ds-1) unstable; urgency=medium

  * Team upload
  * Do not expect failure on 32-bit systems with 64-bit time_t
  * Do not pack time differently for i386 systems
  * Move source to sr.ht
  * Exclude doctrees
  * Drop unnecessary exclusion

 -- Bastian Germann <bage@debian.org>  Thu, 18 Jul 2024 13:35:47 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                swig (>= 1.3.40),
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
-Homepage: https://gitlab.com/m2crypto/m2crypto
+Homepage: https://sr.ht/~mcepl/m2crypto/
 Vcs-Git: https://salsa.debian.org/python-team/packages/m2crypto.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/m2crypto

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export PYBUILD_TEST_ARGS=--ignore tests/test_ssl.py
-export PYBUILD_AFTER_BUILD_python3=PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' python3 -m sphinx -N doc debian/python-m2crypto-doc/usr/share/doc/python-m2crypto-doc/html
+export PYBUILD_AFTER_BUILD_python3=PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' python3 -m sphinx -N doc html
 
 export OPENSSL_CONF=$(CURDIR)/debian/openssl.cnf

## m2crypto 0.42.0

=== requirements.txt ===
build
wheel; sys.platform == 'win32'
setuptools>=43.0.0; python_version<='3.6'
setuptools>=65.6.0; python_version>='3.10'

=== debian/changelog ===
m2crypto (0.42.0-2.1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:28:01 +0000

m2crypto (0.42.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove invalid test for X509_REQ_set_version() (Closes: #1085588).
  * Raise proper error if load_key_bio() fails (Closes: #1091133).
  * swig workaround: Shadow sys/types.h, discussed in #1091133.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 10 Jan 2025 12:47:19 +0100

m2crypto (0.42.0-2) unstable; urgency=high

  * Team upload.
  [ Paul Gevers ]
  * fix-ssl-timeout-for-t64.patch: reinstate qq in pack().
    Fixes FTBFS on several archs. Closes: #1085611, #1085589.

 -- Santiago Vila <sanvila@debian.org>  Mon, 21 Oct 2024 11:42:00 +0200

m2crypto (0.42.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.42.0
  * Refresh patches
  * Add dep on python3-sphinx-rtd-theme

 -- Alexandre Detiste <tchet@debian.org>  Tue, 20 Aug 2024 18:06:43 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
                swig (>= 1.3.40),
 Rules-Requires-Root: no
 Standards-Version: 4.5.1

=== debian/tests/control ===
Tests: python3-m2crypto
Depends: @, python3-all, python3-pytest

## m2crypto 0.46.2

=== Makefile ===
# Makefile for m2crypto

# Use ?= to allow overriding from the command line (e.g., `make PYTHON=python3.11`)
PYTHON ?= python3
PIP = $(PYTHON) -mpip

# --- Source File Dependencies ---
# Find all relevant source files recursively in the src/ directory.
# The wheel will be rebuilt only if any of these files are modified.
SRC_FILES := $(shell find src -name '*.py' -o -name '*.i' -o -name '*.h')

# --- Build Artifacts ---
# Directory for the wheel file and the sentinel file.
DIST_DIR = dist

# A sentinel file to track when the wheel was last built successfully.
# This avoids rebuilding if source files haven't changed.
WHEEL_SENTINEL = $(DIST_DIR)/.wheel_built

# Parse src/M2Crypto/__init__.py to get the current version of the package we work on
# Depends on blackening of that file to have all values covered by doublequotes
CUR_VERSION = $(shell awk -F'"' '/^__version__/ { print $$2 }' src/M2Crypto/__init__.py)
ifeq ($(CUR_VERSION),)
    $(error Cannot extract version from src/M2Crypto/__init__.py)
endif

# Find the most recently built wheel file in the dist directory.
LATEST_WHEEL := $(firstword $(wildcard dist/[mM]2[Cc]rypto-$(CUR_VERSION)*.whl))
LATEST_TAR := $(firstword $(wildcard dist/[mM]2[Cc]rypto-$(CUR_VERSION)*.tar.gz))

# The directory where the package is installed for testing.
BUILD_LIB_DIR = $(shell find build -maxdepth 1 -type d -name "lib.*")

# Phony targets are actions, not files. Declaring them prevents conflicts
# with files of the same name and improves performance.
.PHONY: all wheel install check clean help

# The default 'all' target now runs the full build and test cycle.
all: check ## Build the wheel (if needed), install it locally, and run tests.

# The 'wheel' target is a simple alias for the sentinel file.
# Running `make wheel` will trigger the build only if source files have changed.
wheel: $(WHEEL_SENTINEL) ## Build the wheel package if source files have changed.

# This is the core build rule. It runs if the sentinel file is missing
# or if any of the SRC_FILES are newer than it.
$(WHEEL_SENTINEL): $(SRC_FILES)
	rm -rf build
	@mkdir -p $(DIST_DIR)
	$(PIP) wheel \
		--verbose \
		--no-cache-dir \
		--no-clean \
		--no-build-isolation \
		--wheel-dir $(DIST_DIR)/ \
		--editable .
	@touch $@

# 'install' depends on the wheel being created first.
install: wheel ## Install the wheel into the local 'build' directory.
	@if [ -z "$(LATEST_WHEEL)" ]; then \
		echo "Error: No wheel file found in dist/. Run 'make wheel' first."; \
		exit 1; \
	fi
	@echo "Installing $(LATEST_WHEEL)..."
	$(PIP) install \
		--verbose \
		--upgrade \
		--target "$(BUILD_LIB_DIR)" \
		--no-compile \
		--ignore-installed \
		--no-deps \
		--no-index \
		"$(LATEST_WHEEL)"

sdist: $(SRC_FILES)
	$(PYTHON) setup.py sdist
	$(PYTHON) -mtwine check --strict $(LATEST_TAR)
	$(PYTHON) -mpyroma --quiet --min=10 $(LATEST_TAR)

# 'check' depends on the package being installed locally.
check: install ## Run the unit tests.
	@if [ -z "$(BUILD_LIB_DIR)" ]; then \
		echo "Error: Build library directory not found. Run 'make install' first."; \
		exit 1; \
	fi
	PYTHONPATH="$(BUILD_LIB_DIR)" $(PYTHON) -m unittest -v tests.alltests.suite

# 'clean' is a manual operation to remove all generated files.
clean: ## Remove all generated files and build artifacts.
	rm -rf build src/m2crypto.egg-info $(LATEST_WHEEL) $(LATEST_TAR) $(WHEEL_SENTINEL)
	rm -f src/SWIG/_m2crypto_wrap.c
	find . -type d -name "__pycache__" -exec rm -r {} +

# A self-documenting 'help' target.
help: ## Show this help message.
	@echo "Available targets:"
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | \
		awk 'BEGIN {FS = ":.*?## "}; {printf "  \033[36m%-15s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
m2crypto (0.46.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Don't fail with missing urllib.request.URLopener (closes: #1117891).

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2025 12:09:27 +0100

m2crypto (0.42.0-3) unstable; urgency=medium

  * Team upload.

  [ Sebastian Andrzej Siewior ]
  * tests: Don't pass `-debug' to openssl (closes: #1101045).

  [ Colin Watson ]
  * Add autopkgtest-dependency on openssl.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Mar 2025 12:21:06 +0000

=== debian/control ===
Source: m2crypto
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libssl-dev,
 links <!nodoc>,
 openssl <!nocheck>,
 python3-all-dev,
 python3-docutils <!nodoc>,
 python3-parameterized <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 swig (>= 1.3.40),
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://sr.ht/~mcepl/m2crypto/
Vcs-Git: https://salsa.debian.org/python-team/packages/m2crypto.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/m2crypto
X-Style: black

Package: python3-m2crypto
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-m2crypto-doc,
Provides:
 m2crypto,
 ${python3:Provides},
Description: Python wrapper for the OpenSSL library
 m2crypto features the following:
   * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
   * SSL functionality to implement clients and servers.
   * HTTPS extensions to Python's httplib, urllib, and xmlrpclib.
   * Unforgeable HMAC'ing AuthCookies for web session management.
   * FTP/TLS client and server.
   * S/MIME.
   * ZServerSSL: A HTTPS server for Zope.
   * ZSmime: An S/MIME messenger for Zope.

Package: python-m2crypto-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python3-m2crypto,
Breaks:
 m2crypto-doc (<< 0.35.2-2),
 python-m2crypto (<< 0.27.0-6),
Replaces:
 m2crypto-doc (<< 0.35.2-2),
Description: Python wrapper for the OpenSSL library (docs)
 m2crypto features the following:
   * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
   * SSL functionality to implement clients and servers.
   * HTTPS extensions to Python's httplib, urllib, and xmlrpclib.
   * Unforgeable HMAC'ing AuthCookies for web session management.
   * FTP/TLS client and server.
   * S/MIME.
   * ZServerSSL: A HTTPS server for Zope.
   * ZSmime: An S/MIME messenger for Zope.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export PYBUILD_TEST_ARGS=--ignore tests/test_ssl.py
-export PYBUILD_AFTER_BUILD_python3=PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' python3 -m sphinx -N doc html
+export PYBUILD_AFTER_BUILD=PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' python3 -m sphinx -N doc html
 
 export OPENSSL_CONF=$(CURDIR)/debian/openssl.cnf

=== debian/tests/control ===
Tests: python3-m2crypto
Depends: @, openssl, python3-all, python3-pytest
